#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_default_patch_fuzz 2
#-----------------------------------------------------------------------------
Name		:	nss
Version		:	3.97
Release		:	16.2.0.rel%{?dist}
Summary		:	Network Security Services
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MPLv2.0
URL		:	https://archive.mozilla.org/pub/security/nss/releases/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-standalone-1.patch

#-----------------------------------------------------------------------------
BuildRequires	:	nspr	>= 4.27
BuildRequires	:	sqlite

Requires	:	nspr
Requires	:	sqlite
Requires	:	p11-kit-trust
#-----------------------------------------------------------------------------
%description
Network Security Services (NSS) is a set of libraries designed to
support cross-platform development of security-enabled client and
server applications. Applications built with NSS can support SSL v2
and v3, TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509
v3 certificates, and other security standards.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc nss/COPYING
%{_includedir}/nss
%{_libdir}/libcrmf.a
%{_libdir}/lib*.so
%{_libdir}/lib*.chk
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/*

#=============================================================================
%prep
%setup -q
#see top macro 	_default_patch_fuzz
%patch -P0 -p1

#-----------------------------------------------------------------------------
#building application
%build

pushd nss
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
        NSPR_INCLUDE_DIR=%{_includedir}/nspr		\
	BUILD_OPT=1					\
	NS_USE_GCC=1					\
        USE_SYSTEM_ZLIB=1				\
        ZLIB_LIBS=-lz					\
        NSS_ENABLE_WERROR=0				\
        $([ %{_arch} = x86_64 ] && echo USE_64=1)	\
        $([ -f %{_includedir}/sqlite3.h ] &&		\
                echo NSS_USE_SYSTEM_SQLITE=1)		\
	nss_build_all
	

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

pushd dist
mkdir -p 						\
	%{buildroot}%{_libdir}				\
	%{buildroot}%{_includedir}			\
	%{buildroot}%{_bindir}				\
	%{buildroot}%{_libdir}/pkgconfig

install -v -m755 Linux*/lib/*.so			\
	%{buildroot}%{_libdir}

install -v -m644 Linux*/lib/{*.chk,libcrmf.a}		\
	%{buildroot}%{_libdir}
install -v -m755 -d					\
	%{buildroot}%{_includedir}/nss
cp -v -RL {public,private}/nss/*			\
	%{buildroot}%{_includedir}/nss
chmod -v 644						\
	%{buildroot}%{_includedir}/nss/*

install -v -m755					\
	 Linux*/bin/{certutil,nss-config,pk12util}	\
	%{buildroot}%{_bindir}

install -v -m644 					\
	Linux*/lib/pkgconfig/nss.pc			\
	%{buildroot}%{_libdir}/pkgconfig

#defined within p11-kit-trust
%{__rm} -f						\
	%{buildroot}%{_libdir}/libnssckbi.so

popd

	
#-----------------------------------------------------------------------------
%changelog

